Stay up to date with the latest changes to Synthflow.
High Frequency Product updates

Sign up to receive all product updates almost as they happen.

Subscribe to updates

This changelog provides granular, real-time updates as changes are released. For a monthly summary of platform changes, see the Synthflow product changelog on our feedback portal.

For live uptime, active incidents, and service health, visit our Status page.


March 6, 2026

Custom end-call reasons

You can now define custom conditions that trigger automatic call termination using the new end_call_reasons field on the Agent schema. When the AI agent detects one of these conditions during a conversation, it says a brief farewell and ends the call. This works with both simple prompt and Flow Designer agents.

Updated endpoints:

EndpointTitle
POST /assistantsCreate an agent
PUT /assistants/{model_id}Update an agent

New response fields:

When a call ends due to a custom end-call reason, the post-call webhook response includes:

FieldDescription
end_call_reasonSet to custom_end_call
custom_end_call_reasonThe specific user-defined reason that triggered call termination

For more details, see the End-Call Reasons documentation.